/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Human Hip Implant Component Types
 */
public enum EnumCV_HumanHipImplantComponentTypes {

	//Human Hip Implant Component Types - CID 7308
	ACETABULAR_CUP_SHELL_112305("112305"),
	ACETABULAR_CUP_INSERT_112306("112306"),
	ACETABULAR_CUP_MONOBLOCK_112307("112307"),
	FEMORAL_HEAD_PROSTHESIS_A_04459("A-04459"),
	FEMORAL_HEAD_BALL_COMPONENT_112308("112308"),
	FEMORAL_HEAD_CONE_TAPER_COMPONENT_112309("112309"),
	FEMORAL_STEM_112310("112310"),
	FEMORAL_STEM_DISTAL_COMPONENT_112311("112311"),
	FEMORAL_STEM_PROXIMAL_COMPONENT_112312("112312"),
	FEMORAL_STEM_COMPONENT_112313("112313"),
	NECK_COMPONENT_112314("112314"),
	MONOBLOCK_STEM_112315("112315"),
	DISTAL_CENTRALIZER_112325("112325"),
	PROSTHETIC_SHAFT_AUGMENT_112316("112316"),
	FEMORAL_HEAD_RESURFACING_COMPONENT_112317("112317");

	private String value;

	EnumCV_HumanHipImplantComponentTypes(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
